Bug 166233 - [UPDATE] sysutils/3dm: update to 2.11.00.019
[UPDATE] sysutils/3dm: update to 2.11.00.019
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 04:20 UTC by takefu
Modified: 2012-03-22 05:10 UTC (History)
1 user (show)

See Also:


Attachments
3dm.patch (7.79 KB, patch)
2012-03-19 04:20 UTC, takefu
no flags Details | Diff
3dm2.patch (7.96 KB, patch)
2012-03-20 10:36 UTC, Melissa Pilgrim
no flags Details | Diff
3dm2.patch (7.99 KB, patch)
2012-03-20 23:15 UTC, Melissa Pilgrim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-03-19 04:20:09 UTC
- Update to 2.11.00.019
- fix MASTER_SITES
Comment 1 Edwin Groothuis freebsd_committer 2012-03-19 04:20:52 UTC
Maintainer of sysutils/3dm,

Please note that PR ports/166233 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/166233

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-03-19 04:20:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-03-19 04:57:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 Melissa Pilgrim 2012-03-20 10:36:24 UTC
Thanks for submitting this.  I was working on another patch, so I rolled 
this update into that one.  Please test the attached patch and let me 
know if it works.  If the attachment doesn't come through, you can 
download it from either of the new master sites:

http://shibboleet.com/3dm2/3dm2.patch
http://b.aranea.brtsvcs.net/3dm2/3dm2.patch
Comment 5 takefu 2012-03-20 22:41:50 UTC
oops.

I do not try it.
It seems there is a difference in the checksum.


===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for 3dm-2.11.00.019,1
=> tdmCliBSD_2.11.00.019.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://shibboleet.com/3dm2/tdmCliBSD_2.11.00.019.tar.gz
tdmCliBSD_2.11.00.019.tar.gz                  100% of 9753 kB  405 kBps 00m00s
=> kb16625_2.11.00.019.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://shibboleet.com/3dm2/kb16625_2.11.00.019.tar.gz
kb16625_2.11.00.019.tar.gz                    100% of 4023 kB  309 kBps 00m00s
===>  Extracting for 3dm-2.11.00.019,1
=> SHA256 Checksum OK for tdmCliBSD_2.11.00.019.tar.gz.
=> SHA256 Checksum mismatch for kb16625_2.11.00.019.tar.gz.
===>  Refetch for 1 more times files: kb16625_2.11.00.019.tar.gz
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for 3dm-2.11.00.019,1
=> kb16625_2.11.00.019.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://shibboleet.com/3dm2/kb16625_2.11.00.019.tar.gz
fetch: http://shibboleet.com/3dm2/kb16625_2.11.00.019.tar.gz: Requested Range Not Satisfiable
=> Attempting to fetch http://b.aranea.brtsvcs.net/3dm2/kb16625_2.11.00.019.tar.gz
fetch: http://b.aranea.brtsvcs.net/3dm2/kb16625_2.11.00.019.tar.gz: Requested Range Not Satisfiable
=> Attempting to fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/kb16625_2.11.00.019.tar.gz
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/kb16625_2.11.00.019.tar.gz: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop in /root/ports/sysutils/3dm.
*** Error code 1

Stop in /root/ports/sysutils/3dm.
*** Error code 1

Stop in /root/ports/sysutils/3dm.




Darren Pilgrim $B$5$s$O=q$-$^$7$?(B (2012/03/20 19:36):
> Thanks for submitting this.  I was working on another patch, so I rolled this update into that one.  Please test the attached patch and let me know if it works.  If the attachment doesn't come through, you can download it from either of the new master sites:
> 
> http://shibboleet.com/3dm2/3dm2.patch
> http://b.aranea.brtsvcs.net/3dm2/3dm2.patch


--
Comment 6 Melissa Pilgrim 2012-03-20 23:15:06 UTC
On 2012-03-20 15:41, Takefu wrote:
> oops.
>
> I do not try it.
> It seems there is a difference in the checksum.

The correct checksum for kb16625_2.11.00.019.tar.gz is 
ce61fe3cf1a3a83572c7d008408f55e77e02d21aa908d6e2dad50e4aaf1e4c60

Sorry about that, I'm not sure how that happened.  I've also updated the 
patch with the new checksum (and a DIST_SUBDIR addition someone else 
mentioned).
Comment 7 takefu 2012-03-21 01:29:07 UTC
It was working properly.

Darren Pilgrim $B$5$s$O=q$-$^$7$?(B (2012/03/21 8:15):
> On 2012-03-20 15:41, Takefu wrote:
>> oops.
>>
>> I do not try it.
>> It seems there is a difference in the checksum.
> 
> The correct checksum for kb16625_2.11.00.019.tar.gz is ce61fe3cf1a3a83572c7d008408f55e77e02d21aa908d6e2dad50e4aaf1e4c60
> 
> Sorry about that, I'm not sure how that happened.  I've also updated the patch with the new checksum (and a DIST_SUBDIR addition someone else mentioned).


--
Comment 8 Melissa Pilgrim 2012-03-21 04:57:43 UTC
On 2012-03-20 18:29, Takefu wrote:
> It was working properly.

Great!

jgh,

Please commit patch 3 
(http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F166233&getpatch=3).

Thanks
Comment 9 jgh@FreeBSD.org freebsd_committer 2012-03-21 18:06:35 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 10 jgh@FreeBSD.org freebsd_committer 2012-03-21 22:49:40 UTC
Why does this port support 6.x?

.if ${OSVERSION} > 700000
BINSRC=		${BINPREFIX}/7x
.else
BINSRC=		${BINPREFIX}/6x
.endif

Also to maintainer, can you summarize what your merged changes were into the
original patch.

Thanks,
Jason

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 11 Melissa Pilgrim 2012-03-22 00:08:07 UTC
On 2012-03-21 15:49, Jason Helfman wrote:
>
> Why does this port support 6.x?

Because the vendor provides the binaries.  If I don't do so, then I'll 
get emails from people with old systems griping about not installing the 
6x binaries.  It's no significant effort to avoid this.  If someone has 
an old 6.x machine with a 3ware card in it and the binaries work for 
them, then they can use the port for as long as LSI continues to provide 
6.x binaries.

> Also to maintainer, can you summarize what your merged changes were into the
> original patch.

- Update to the 9.5.4/10.2.1 codeset (3dm2 v2.11.00.019)
- Update MASTER_SITES
- Add an option for using the KB16625 binaries (do so by default)
Comment 12 dfilter freebsd_committer 2012-03-22 00:24:00 UTC
jgh         2012-03-22 00:23:48 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/3dm         Makefile distinfo pkg-plist 
  Log:
  - Update to the 9.5.4/10.2.1 codeset (3dm2 v2.11.00.019) [1]
  - Update MASTER_SITES [2]
  - Add an option for using the KB16625 binaries (do so by default) [2]
  
  PR:     ports/166233
  Submitted by:   takefu@airport.fm [1], maintainer ports.maintainer@evilphi.com [2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.27      +21 -14    ports/sysutils/3dm/Makefile
  1.13      +4 -4      ports/sysutils/3dm/distinfo
  1.13      +20 -13    ports/sysutils/3dm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 jgh@FreeBSD.org freebsd_committer 2012-03-22 00:24:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 14 takefu 2012-03-22 05:04:38 UTC
Support for 6.x is required.
If this patch to work well.

---
diff -ruN /usr/ports/sysutils/3dm/Makefile sysutils/3dm/Makefile
--- /usr/ports/sysutils/3dm/Makefile	2012-03-22 13:55:27.000000000 +0900
+++ sysutils/3dm/Makefile	2012-03-22 13:59:00.000000000 +0900
@@ -25,29 +25,18 @@

 .if defined(WITH_SSLFIX)
 DISTFILES+=	kb16625_${PORTVERSION}.tar.gz
-BINPREFIX=	${WRKSRC}/kb16625
+BINPREFIX=	${WRKSRC}/kb16625/7x
 .else
-BINPREFIX=	${WRKSRC}
+BINPREFIX=	${WRKSRC}/7x
 .endif

 .include <bsd.port.pre.mk>

 ONLY_FOR_ARCHS=	i386 amd64
 NO_BUILD=	yes
-
 NO_WRKSUBDIR=	yes

-.if ${OSVERSION} > 700000
-BINSRC=		${BINPREFIX}/7x
-.else
-BINSRC=		${BINPREFIX}/6x
-.endif
-
-.if ${ARCH} == "i386"
-BINSUFFIX=	x86
-.elif ${ARCH} == "amd64"
-BINSUFFIX=	x86_64
-.endif
+BINSUFFIX=	${ARCH:S,i386,x86,:S,amd64,x86_64,}

 HELPSRC=	${WRKSRC}/en

@@ -77,7 +66,7 @@
 	${INSTALL_DATA} ${HELPSRC}/images/* ${HELPDIR}/images
 	${INSTALL_DATA} ${HELPSRC}/scripts/* ${HELPDIR}/scripts

-	${INSTALL_PROGRAM} ${BINSRC}/3dm2.${BINSUFFIX} ${PREFIX}/sbin/3dm2
+	${INSTALL_PROGRAM} ${BINPREFIX}/3dm2.${BINSUFFIX} ${PREFIX}/sbin/3dm2

 	${INSTALL_DATA} ${WRKSRC}/tdm_msg_en ${MSGDIR}
 	${INSTALL_DATA} ${WRKSRC}/tw_msg_en ${MSGDIR}
---


Jason Helfman $B$5$s$O=q$-$^$7$?(B (2012/03/22 7:49):
> 
> Why does this port support 6.x?
> 
> .if ${OSVERSION} > 700000
> BINSRC=        ${BINPREFIX}/7x
> .else
> BINSRC=        ${BINPREFIX}/6x
> .endif
> 
> Also to maintainer, can you summarize what your merged changes were into the
> original patch.
> 
> Thanks,
> Jason
> 


--